@import '{}/imports/ui/stylesheets/variables/index';

.shariff-wrapper {
	padding: 15px 0;
	text-align: end;
}

.shariff-wrapper > p {
	font-size: 1.2em;
}

/* stylelint-disable-next-line selector-class-pattern */
.shariff .share_text {
	display: none;
}

$shariff-link-padding: 5px;
$shariff-button-margin-bottom: ($shariff-link-padding * 2) + 5px;
$shariff-button-margin-left: 10px;
$shariff-bg-color: #949494;

.shariff > .orientation-horizontal {
	@include list-unstyled;
	margin-bottom: -($shariff-button-margin-bottom);
	margin-left: -($shariff-button-margin-left);
}

.orientation-horizontal > .shariff-button {
	display: inline-block;
	margin-bottom: $shariff-button-margin-bottom;
	margin-left: $shariff-button-margin-left;
}

.shariff-button > a {
	color: $white;
	font-size: 1.2em;
	opacity: 0.75;
	padding: $shariff-link-padding;

	&:hover {
		opacity: 1;
	}
}

@function map-bg($bg, $bg-hover) {
	@return ('bg': $bg, 'bg-hover': $bg-hover);
}

.shariff-button > a {
	background-color: $shariff-bg-color;

	&:hover {
		background-color: darken($shariff-bg-color, 5%);
	}
}

.shariff-button.info a {
	background-color: #fff;
	border: 1px solid #ccc;
	color: #666;

	&:hover {
		background-color: #efefef;
	}
}
